Skip to main content
GET
/
images
/
generations
/
{requestId}
Poll the status of an image generation request
curl --request GET \
  --url https://api.maxai.lol/v1/images/generations/{requestId} \
  --header 'Authorization: Bearer <token>'
{
  "status": 200,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "queued",
    "statusReason": "<string>",
    "model": "<string>",
    "safetyLevel": "low",
    "input": {
      "positivePrompt": "<string>",
      "negativePrompt": "<string>",
      "seedImage": "<string>",
      "seedImageStrength": 0.5
    },
    "outputQuality": 50,
    "outputType": [
      "url"
    ],
    "samples": 123,
    "seed": 123,
    "cfgScale": 25.5,
    "steps": 123,
    "scheduler": "<string>",
    "advancedFeatures": {
      "layerDiffuse": true
    },
    "dimensions": {
      "width": 123,
      "height": 123,
      "outpaint": {
        "left": 123,
        "right": 123,
        "top": 123,
        "bottom": 123
      }
    },
    "queuedAt": "2023-11-07T05:31:56Z",
    "cancelledAt": "2023-11-07T05:31:56Z",
    "startedAt": "2023-11-07T05:31:56Z",
    "completedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "results": [
      {
        "cost": 123,
        "isNSFW": true,
        "url": "<string>",
        "base64": "<string>",
        "dataURI": "<string>"
      }
    ],
    "totalCost": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

requestId
string<uuid>
required

The UUID of the image generation request to check.

Response

Image generation request status retrieved successfully.

status
number
Example:

200

data
object